curl --location --request POST 'https://api.explo.co/api/create_blueprint/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"customer_id": "8698a0e4-009d-4b2d-8a41-d7f35cf08b98",
"blueprint_name": "Customer 1 Blueprint",
"tables": [
{
"table_name": "location",
"schema_id": 1,
"query": "select *,2 as hello from location",
"columns": [
{
"name": "id",
"type": "INTEGER"
},
{
"name": "host_id",
"type": "INTEGER"
},
{
"name": "host_name",
"display_name": "Host Name",
"type": "STRING",
"can_be_grouped": false
}
]
}
]
}'
{
"success": 1,
"blueprint_id": 10
}
Create Blueprint
POST
/
api
/
create_blueprint
/
curl --location --request POST 'https://api.explo.co/api/create_blueprint/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"customer_id": "8698a0e4-009d-4b2d-8a41-d7f35cf08b98",
"blueprint_name": "Customer 1 Blueprint",
"tables": [
{
"table_name": "location",
"schema_id": 1,
"query": "select *,2 as hello from location",
"columns": [
{
"name": "id",
"type": "INTEGER"
},
{
"name": "host_id",
"type": "INTEGER"
},
{
"name": "host_name",
"display_name": "Host Name",
"type": "STRING",
"can_be_grouped": false
}
]
}
]
}'
{
"success": 1,
"blueprint_id": 10
}
This endpoint creates a new blueprint.
Body
string
required
This is your unique identifier for your customer
string
required
This is what the blueprint will be named
object
required
List of tables and column information associated with the customer
Show table
Show table
string
required
Name of the table. Query will be “SELECT * FROM table_name”
number
required
Schema this table is attached to.
string
Query to override the default “SELECT * FROM table_name”. Optional
parameter.
object
required
List of columns in this table
string
Name of dataset supplied to customers. If null, table_name will be used
string
Description of dataset for customers
Response
number
Indicates whether the call was successful. 1 if successful, 0 if not.
number
The id of the new blueprint
curl --location --request POST 'https://api.explo.co/api/create_blueprint/' \
--header 'Content-Type: application/json' \
--header 'Explo-Authorization: Token <token>' \
--data-raw '{
"customer_id": "8698a0e4-009d-4b2d-8a41-d7f35cf08b98",
"blueprint_name": "Customer 1 Blueprint",
"tables": [
{
"table_name": "location",
"schema_id": 1,
"query": "select *,2 as hello from location",
"columns": [
{
"name": "id",
"type": "INTEGER"
},
{
"name": "host_id",
"type": "INTEGER"
},
{
"name": "host_name",
"display_name": "Host Name",
"type": "STRING",
"can_be_grouped": false
}
]
}
]
}'
{
"success": 1,
"blueprint_id": 10
}
⌘I